Read Ingestion Run
curl --request GET \
--url https://statsigapi.net/console/v1/ingestion/runs/{id} \
--header 'STATSIG-API-KEY: <api-key>'import requests
url = "https://statsigapi.net/console/v1/ingestion/runs/{id}"
headers = {"STATSIG-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'STATSIG-API-KEY': '<api-key>'}};
fetch('https://statsigapi.net/console/v1/ingestion/runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Ingestion Run Read Successfully",
"data": {
"runID": "de941fa2-3e0f-44ec-a44c-5c51eed07e0d",
"latestStatus": "download_error",
"lastUpdatedAt": "2023-12-13T02:44:23.790Z",
"createdAt": "2023-12-13T02:30:55.992Z",
"trigger": "scheduled",
"sources": [
"Events 1",
"Events 2"
],
"dateStamps": [
"2023-12-11"
],
"runHistory": [
{
"statusTimestamp": "2023-12-13T02:44:24.865Z",
"status": "download_error"
},
{
"statusTimestamp": "2023-12-13T02:44:12.421Z",
"status": "download_started"
},
{
"statusTimestamp": "2023-12-13T02:41:48.458Z",
"status": "download_error"
},
{
"statusTimestamp": "2023-12-13T02:40:56.694Z",
"status": "download_started"
},
{
"statusTimestamp": "2023-12-13T02:32:35.607Z",
"status": "started"
},
{
"statusTimestamp": "2023-12-13T02:30:55.992Z",
"status": "enqueued"
}
],
"granularHistory": [
{
"source": "Events 1",
"latestSourceStatus": "download_error",
"statusByDate": [
{
"dateStamp": "2023-12-11",
"statuses": [
{
"statusTimestamp": "2023-12-13T02:41:47.374Z",
"status": "download_error"
},
{
"statusTimestamp": "2023-12-13T02:40:50.210Z",
"status": "download_started"
},
{
"statusTimestamp": "2023-12-13T02:32:33.118Z",
"status": "started"
},
{
"statusTimestamp": "2023-12-13T02:30:55.992Z",
"status": "enqueued"
}
]
}
]
},
{
"source": "Events 2",
"latestSourceStatus": "download_error",
"statusByDate": [
{
"dateStamp": "2023-12-11",
"statuses": [
{
"statusTimestamp": "2023-12-13T02:41:47.374Z",
"status": "download_error"
},
{
"statusTimestamp": "2023-12-13T02:40:50.210Z",
"status": "download_started"
},
{
"statusTimestamp": "2023-12-13T02:32:33.118Z",
"status": "started"
},
{
"statusTimestamp": "2023-12-13T02:30:55.992Z",
"status": "enqueued"
}
]
}
]
}
]
}
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}{
"status": 404,
"message": "runID de941fa2-3e0f-44ec-a44c-5c51eed07e0z not found"
}Ingestions
Read Ingestion Run
GET
/
console
/
v1
/
ingestion
/
runs
/
{id}
Read Ingestion Run
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
⌘I

